<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::post("/admin/auth/login", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "login"]);

Route::middleware([\App\Http\Middleware\AdminAuthMiddleware::class])->group(function () {
    Route::get("/admin/auth/profile", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "profile"]);
    Route::post("/admin/auth/changePassword", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "changePassword"]);

    Route::get("/admin/user/paginate", [\App\Modules\Admin\Controllers\Admin\UserController::class, "paginate"]);
    Route::post("/admin/user/changeStatus", [\App\Modules\Admin\Controllers\Admin\UserController::class, "changeStatus"]);
    Route::post("/admin/user/saveSetting", [\App\Modules\Admin\Controllers\Admin\UserController::class, "saveSetting"]);

    Route::get("/admin/common/groupMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "groupMap"]);

});
